# -*- coding: utf-8 -*-
# Generated by Django 1.9.5 on 2016-04-29 00:13
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Outlet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='Name')),
                ('city', models.CharField(max_length=128, verbose_name='City')),
                ('street', models.CharField(max_length=128, verbose_name='Street')),
                ('postal_code', models.CharField(max_length=10, verbose_name='Postal code')),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True, verbose_name='Phone')),
                ('position', models.PositiveIntegerField(default=1, verbose_name='Position')),
                ('lat', models.CharField(blank=True, max_length=64, verbose_name='Lat')),
                ('lon', models.CharField(blank=True, max_length=64, verbose_name='Lon')),
                ('start_date', models.DateField(blank=True, null=True, verbose_name='Start date')),
                ('end_date', models.DateField(blank=True, null=True, verbose_name='End date')),
                ('outlet_type', models.CharField(blank=True, help_text='What kind of outlet is it?', max_length=64, verbose_name='Outlet type')),
            ],
            options={
                'ordering': ('position', 'name'),
            },
        ),
        migrations.CreateModel(
            name='OutletCountry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='Name')),
                ('slug', models.SlugField(max_length=64, unique=True, verbose_name='Slug')),
                ('position', models.PositiveIntegerField(default=1, verbose_name='Position')),
            ],
            options={
                'ordering': ('position', 'name'),
            },
        ),
        migrations.AddField(
            model_name='outlet',
            name='country',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='outlets.OutletCountry', verbose_name='Country'),
        ),
    ]
